aboutsummaryrefslogtreecommitdiffstats
path: root/bootstrap.bash
diff options
context:
space:
mode:
Diffstat (limited to 'bootstrap.bash')
-rwxr-xr-xbootstrap.bash34
1 files changed, 34 insertions, 0 deletions
diff --git a/bootstrap.bash b/bootstrap.bash
new file mode 100755
index 00000000..0aa073cc
--- /dev/null
+++ b/bootstrap.bash
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+export BOOTSTRAP="${BASH_SOURCE[0]}"
+export SRCDIR=$(dirname "${BASH_SOURCE[0]}")
+export BOOTSTRAP_MANIFEST="${SRCDIR}/build/soong/build.ninja.in"
+
+case $(uname) in
+ Linux)
+ export GOOS="linux"
+ export PREBUILTOS="linux-x86"
+ ;;
+ Darwin)
+ export GOOS="darwin"
+ export PREBUILTOS="darwin-x86"
+ ;;
+ *) echo "unknown OS:" $(uname) && exit 1;;
+esac
+export GOROOT="${SRCDIR}/prebuilts/go/$PREBUILTOS/"
+export GOARCH="amd64"
+export GOCHAR="6"
+
+if [[ $(find . -maxdepth 1 -name $(basename "${BOOTSTRAP}")) ]]; then
+ echo "FAILED: Tried to run "$(basename "${BOOTSTRAP}")" from "$(pwd)""
+ exit 1
+fi
+
+if [[ $# -eq 0 ]]; then
+ sed -e "s|@@SrcDir@@|${SRCDIR}|" \
+ -e "s|@@PrebuiltOS@@|${PREBUILTOS}|" \
+ ${SRCDIR}/build/soong/soong.in > soong
+ chmod 0770 soong
+fi
+
+${SRCDIR}/build/blueprint/bootstrap.bash "$@"